attribute vec4 vPosition;
     attribute vec4 vTexCoordinate;
     
     uniform mat4 textureTransform;
     uniform float texelWidthOffset;
     uniform float texelHeightOffset;

     varying vec2 v_TexCoordinate;
     varying vec2 blurCoordinates[15];

     void main()
     {
        gl_Position = vPosition;
	v_TexCoordinate = (textureTransform * vTexCoordinate).xy;

        vec2 singleStepOffset = vec2(texelWidthOffset, texelHeightOffset);
blurCoordinates[0] = v_TexCoordinate.xy;
         blurCoordinates[1] = v_TexCoordinate.xy + singleStepOffset * 1.496901;
         blurCoordinates[2] = v_TexCoordinate.xy - singleStepOffset * 1.496901;
         blurCoordinates[3] = v_TexCoordinate.xy + singleStepOffset * 3.492769;
         blurCoordinates[4] = v_TexCoordinate.xy - singleStepOffset * 3.492769;
         blurCoordinates[5] = v_TexCoordinate.xy + singleStepOffset * 5.488638;
         blurCoordinates[6] = v_TexCoordinate.xy - singleStepOffset * 5.488638;
         blurCoordinates[7] = v_TexCoordinate.xy + singleStepOffset * 7.484509;
         blurCoordinates[8] = v_TexCoordinate.xy - singleStepOffset * 7.484509;
         blurCoordinates[9] = v_TexCoordinate.xy + singleStepOffset * 9.480382;
         blurCoordinates[10] = v_TexCoordinate.xy - singleStepOffset * 9.480382;
         blurCoordinates[11] = v_TexCoordinate.xy + singleStepOffset * 11.476257;
         blurCoordinates[12] = v_TexCoordinate.xy - singleStepOffset * 11.476257;
         blurCoordinates[13] = v_TexCoordinate.xy + singleStepOffset * 13.472137;
         blurCoordinates[14] = v_TexCoordinate.xy - singleStepOffset * 13.472137;
}